# Uses of Interface
org.apache.lucene.util.bkd.PointValue

Packages that use PointValue
Package
Description
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

- ## Uses of PointValue in org.apache.lucene.util.bkd

  Methods in org.apache.lucene.util.bkd that return PointValue
  Modifier and Type
  Method
  Description
  `PointValue`
  HeapPointWriter.`getPackedValueSlice(int index)`
  Returns a reference, in `result`, to the byte[] slice holding this value
  `PointValue`
  HeapPointReader.`pointValue()`
  `PointValue`
  OfflinePointReader.`pointValue()`
  `PointValue`
  PointReader.`pointValue()`
  Sets the packed value in the provided ByteRef
  Methods in org.apache.lucene.util.bkd with parameters of type PointValue
  Modifier and Type
  Method
  Description
  `void`
  HeapPointWriter.`append(PointValue pointValue)`
  `void`
  OfflinePointWriter.`append(PointValue pointValue)`
  `void`
  PointWriter.`append(PointValue pointValue)`
  Add a new point from a `PointValue`